# Created by pyp2rpm-3.2.1
%global pypi_name pycodestyle

Name:           python-%{pypi_name}
Group:          Development/Python
Version:        2.6.0
Release:        %mkrel 1
Summary:        Python style guide checker

License:        MIT
URL:            https://pycodestyle.readthedocs.io/
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)

%description
pycodestyle is a tool to check your Python code against some of the style
conventions in PEP 8.

This package used to be called pep8 but was renamed to pycodestyle to reduce
confusion.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3-setuptools
Obsoletes:      python2-pycodestyle < 2.5.0-3

%description -n python3-%{pypi_name}
pycodestyle is a tool to check your Python code against some of the style
conventions in PEP 8.

This package used to be called pep8 but was renamed to pycodestyle to reduce
confusion.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
sphinx-build docs html

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

ln -s %{_bindir}/pycodestyle %{buildroot}/%{_bindir}/pycodestyle-3

%check
%{__python3} pycodestyle.py --max-doc-length=72 --testsuite testsuite
%{__python3} pycodestyle.py --max-doc-length=72 --doctest

%files -n python3-%{pypi_name}
%doc README.rst
%doc html
%{_bindir}/pycodestyle
%{_bindir}/pycodestyle-3
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Fri Jul 03 2020 shlomif <shlomif> 2.6.0-1.mga8
+ Revision: 1601690
- New version 2.6.0

* Sun Feb 16 2020 umeabot <umeabot> 2.5.0-4.mga8
+ Revision: 1530966
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 2.5.0-3.mga8
+ Revision: 1437946
- rebuild for python3.8
- drop python2 support
- move html doc to main pkg

* Tue Aug 20 2019 wally <wally> 2.5.0-2.mga8
+ Revision: 1430593
- update descriptions
- update sphinx BRs

* Fri Mar 15 2019 shlomif <shlomif> 2.5.0-1.mga7
+ Revision: 1377720
- New version 2.5.0 - tests fix from fedora

* Sat Jan 05 2019 wally <wally> 2.4.0-2.mga7
+ Revision: 1349763
- rebuild for python3.7
- add patch originally from Debian to fix tests with python3.7
- rebuild for python3.7

* Sun Nov 11 2018 shlomif <shlomif> 2.4.0-1.mga7
+ Revision: 1329598
- New version 2.4.0

* Thu Sep 20 2018 umeabot <umeabot> 2.3.1-3.mga7
+ Revision: 1289765
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.3.1-2.mga7
+ Revision: 1135562
- Rebuild for python 3.6

* Thu Mar 23 2017 shlomif <shlomif> 2.3.1-1.mga6
+ Revision: 1094567
- importing from pyp2rpm

